### Function

# Gm mcc_to_iso

since: 0.4.0

#### Declaration [src]

    const char*
    gm_mcc_to_iso (
      const char* mcc,
      GError** error
    )

#### Description [src]

Get the ISO 3316-1 country code based on a given mobile country code (MCC). It’s sufficient for the given string to have the MCC as prefix. In other words it is o.k. to pass an IMSI.

On error `NULL` is returned and `error` is set.

Available since: 0.4.0

#### Parameters

`mcc`

  Type: `const char*`

  The mcc.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `const char*`

The country code or NULL.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.